#!/bin/bash

for FILE in $(find bilder/ -iname '*.xml') ; do
	if [ ! -f "${FILE%.xml}.pdf" -o "$FILE" -nt "${FILE%.xml}.pdf" ] ; then
		ipetoipe -pdf -runlatex $FILE ${FILE%.xml}.pdf
	fi
done

if [ ! -f "Grundlagen_der_Mathematik.toc" ] ; then
	# Run it twice to generate TOC
	pdflatex Grundlagen_der_Mathematik.tex
fi
pdflatex Grundlagen_der_Mathematik.tex
